Package org.apache.sysds.runtime.io.hdf5

## Class H5DoubleDataType

- java.lang.Object
- - org.apache.sysds.runtime.io.hdf5.H5DoubleDataType

-     public class H5DoubleDataType
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `H5DoubleDataType()` |
    `H5DoubleDataType​(ByteBuffer bb)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `fillData​(ByteBuffer buffer, double[] data)` |
    `short` | `getBitOffset()` |
    `short` | `getBitPrecision()` |
    `BitSet` | `getClassBits()` |
    `int` | `getDataClass()` |
    `int` | `getExponentBias()` |
    `byte` | `getExponentLocation()` |
    `byte` | `getExponentSize()` |
    `byte` | `getMantissaLocation()` |
    `int` | `getMantissaNormalization()` |
    `byte` | `getMantissaSize()` |
    `ByteOrder` | `getOrder()` |
    `int` | `getSignLocation()` |
    `int` | `getSize()` |
    `int` | `getVersion()` |
    `boolean` | `isHighPadding()` |
    `boolean` | `isInternalPadding()` |
    `boolean` | `isLowPadding()` |
    `void` | `toBuffer​(H5BufferBuilder bb)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### H5DoubleDataType

          public H5DoubleDataType()

    - #### H5DoubleDataType

          public H5DoubleDataType​(ByteBuffer bb)

  - ### Method Detail

    - #### toBuffer

          public void toBuffer​(H5BufferBuilder bb)

    - #### fillData

          public void fillData​(ByteBuffer buffer,
                               double[] data)

    - #### getVersion

          public int getVersion()

    - #### getDataClass

          public int getDataClass()

    - #### getSize

          public int getSize()

    - #### getClassBits

          public BitSet getClassBits()

    - #### getOrder

          public ByteOrder getOrder()

    - #### isLowPadding

          public boolean isLowPadding()

    - #### isHighPadding

          public boolean isHighPadding()

    - #### isInternalPadding

          public boolean isInternalPadding()

    - #### getMantissaNormalization

          public int getMantissaNormalization()

    - #### getSignLocation

          public int getSignLocation()

    - #### getBitOffset

          public short getBitOffset()

    - #### getBitPrecision

          public short getBitPrecision()

    - #### getExponentLocation

          public byte getExponentLocation()

    - #### getExponentSize

          public byte getExponentSize()

    - #### getMantissaLocation

          public byte getMantissaLocation()

    - #### getMantissaSize

          public byte getMantissaSize()

    - #### getExponentBias

          public int getExponentBias()